# This file is sourced by various other scripts used to install this project.

# get the root of the git repository (requires git to be installed)
GIT_ROOT=`git rev-parse --show-toplevel`
PROJECT_DIR=$GIT_ROOT


### TO BE MODIFIED BY USERS ###
## Packages
MCA_PACKAGE_NAME=dep--mca--static
FLUENTBIT_PACKAGE_NAME=dep--fluent-bit
MCA_VERSION=1-1
FLUENTBIT_VERSION=1-1
TARGET_DISTRIBUTION=Debian_11
ARCH=amd64
PACKAGE_EXTENSION=.deb
## Wendelin
WENDELIN_URL=https://softinst157546.host.vifib.net/erp5/portal_ingestion_policies/metadata_upload
WENDELIN_PWD=qxrfkwod
WENDELIN_REFERENCE=c-light-data_05
## Keys and certificates
SERVER_GROUP=douai
# sometimes .cer works, sometimes .crt works... it depends on the UEFI?
CERT_NAME=db.crt
SIGNING_KEY_NAME=db.key


# used mainly in dracut.module/configure
MCA_NAME_AND_VERSION=${MCA_PACKAGE_NAME}_${MCA_VERSION}
FLUENTBIT_NAME_AND_VERSION=${FLUENTBIT_PACKAGE_NAME}_${FLUENTBIT_VERSION}

# used mainly in installation/dependencies.sh and installation/remove-dependencies.sh
APT_UTILITY_PACKAGES="sudo wget tree"
APT_SPECIFIC_PACKAGES="dracut-core dracut dracut-network"

MCA_PACKAGE_FILE=${MCA_NAME_AND_VERSION}_${ARCH}${PACKAGE_EXTENSION}
FLUENTBIT_PACKAGE_FILE=${FLUENTBIT_NAME_AND_VERSION}_${ARCH}${PACKAGE_EXTENSION}
URL_PATTERN="https://download.opensuse.org/repositories/home:/oph.nxd/${TARGET_DISTRIBUTION}/${ARCH}/"
MCA_PACKAGE_URL=${URL_PATTERN}/${MCA_PACKAGE_FILE}
FLUENTBIT_PACKAGE_URL=${URL_PATTERN}/${FLUENTBIT_PACKAGE_FILE}

# used mainly in installation/install.sh and installation/uninstall.sh
EFI_PARTITION_MOUNT_POINT=/boot/efi/
RELATIVE_EFI_IMAGE_DIR=/EFI/Linux/
EFI_IMAGE_DIR=${EFI_PARTITION_MOUNT_POINT}/${RELATIVE_EFI_IMAGE_DIR}
EFI_PARITITON_MOUNT_POINT=$(realpath -m "$EFI_PARTITION_MOUNT_POINT")
RELATIVE_EFI_IMAGE_DIR=$(realpath -m "$RELATIVE_EFI_IMAGE_DIR")
EFI_IMAGE_DIR=$(realpath -m "$EFI_IMAGE_DIR")
dracut_output_file=dracut-output

# used mainly in uefi-keys/make_keys.sh
CERT_DIR=uefi-keys/public-certificates
KEYS_DIR=private-keys
PUBLIC_CERT_DIR=${PROJECT_DIR}/${CERT_DIR}/${SERVER_GROUP}
PRIVATE_KEYS_DIR=${PROJECT_DIR}/${KEYS_DIR}/${SERVER_GROUP}
PUBLIC_CERT_DIR=$(realpath -m "$PUBLIC_CERT_DIR")
PRIVATE_KEYS_DIR=$(realpath -m "$PRIVATE_KEYS_DIR")
